
function GameScreen:InitScreen()
    self:LoadScreen()
    self:init_dlg({"cue_right"}, {"Cue_29b"})
    
    self:FadeOut();
    
    if(GetState("screen_029_studio", "choose") == "1") then
        ItemSetOpacity("portrait_right", 0.0)
    else
        ItemSetOpacity("portrait_left", 0.0)
    end
    
    self.active = false;
    DelayedExec(0.1, function()
        self.active = true
    end)
end

function GameScreen:LoadScreen()
	--[[---Background---]]--
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "comics_back_trigger", "graphics/trigger", 0, 0, REAL_WINDOW_WIDTH*2, REAL_WINDOW_HEIGHT*2);
	ItemSetOpacity("comics_back_trigger", 0.01)
	
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "eve_artist_29a", "graphics/screens/29_studio/comics/eve_artist_29a",0, 0);
	
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "portrait_left", "graphics/screens/29_studio/comics/portrait_left",714, 145);
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "portrait_right", "graphics/screens/29_studio/comics/portrait_right",714, 146);
    
	self:CreateObj(OBJ_TYPE.NO_ACTIVE, "cue_left", "graphics/interface/comics/cue_left", 260, 842);
	self:CreateObj(OBJ_TYPE.NO_ACTIVE, "cue_right", "graphics/interface/comics/cue_right", 358, 838);
	ItemSetOpacity("cue_left", 0.0)
	ItemSetOpacity("cue_right", 0.0)
	
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "Cue_29b", "graphics/screens/29_studio/comics/Cue_29b",380, 919);
end